Returns a list of environment policies, blueprints, and project member users that can be used to create sponsored links, using the POST /api/v3/sponsoredlinks request.
The list can optionally be filtered by project, blueprint or environment policy, using parameters included with the request.
Request Path
OPTIONS /api/v3/sponsoredlinks?projectNameFilter={projectName}&blueprintNameFilter={blueprintName}&policyNameFilter={policyName}
Request Payload
None
Parameters
projectNameFilter |
Optional. Excludes options outside the specified project, where {projectName} is the name of the project. |
blueprintNameFilter |
Optional. Excludes options irrelevant to the specified blueprint, where {blueprintName} is the name of the blueprint. |
policyNameFilter |
Optional. Excludes options irrelevant to the specified environment policy, where {policyName} is the policy. |
Response Example
{
"envPoliciesList": [
{
"id": "POLs3J1NEAESn7ipYMwYq20Q2",
"name": "24 hours",
"projectId": "PRjTcEu83MXmpDAHTf47b-QQ2",
"projectName": "Testing project",
"organizations": [
"CloudShare"
],
"blueprints": [
{
"id": "BPitsTtiUS27hEsHcVZcZsxw2",
"name": "Testing Sample",
"regions": ["REKolD1-ab84YIxODeMGob9A2"]
}
]
}
],
"owningProjectMembers": [
{
"id": "VPJMmaEFfIsTCoVGBjZtpRgw2",
"name": "Jayden Inigo",
"email": "JaydenInigo@cloudshare.com",
"organizations": [
"CloudShare"
]
}
]
}